Can't Get Vagrant Settings: com.fasterxml.jackson.core.JsonStreamContext.(Lcom/fasterxml/jackson/core/JsonStreamContext;)V

Hi was using PHPStorm 2017 with Vagrant to run unit tests on my virtual machine, but since I've updated to PHPStorm 2018.1.3 I can't run the tests from PHPStorm anymore. (I can, however, by SSH'ing into the virtual machine and running PHPunit directly)

When I click to run a PHPUnit configuration I see no activity at all.

When I look at my remote interpreter setup, I see an error saying "Can't Get Vagrant Settings: com.fasterxml.jackson.core.JsonStreamContext.(Lcom/fasterxml/jackson/core/JsonStreamContext;)V" which I don't understand at all. I get that when I try ot add a new remote interpreter too.

Here's a video that may help show what's going on better: https://drive.google.com/file/d/1zPRuOAd3V8MKTxF9pXcnF5ihLLGmLKpN/view. You can see clicking to run the unit tests doesn't do anything, and you can see where I'm getting that error.

 

I'm using Vagrant 2.0.2, with Virtual Box 5.1.32. I'm using those older versions because I'm also using the Vagrant configuration VVV, which doesn't work with Virtual Box 5.2 (see https://varyingvagrantvagrants.org/docs/en-US/installation/software-requirements/)

1 comment

Hi there,

https://youtrack.jetbrains.com/issue/WI-42021

It's a new issue/regression that appeared in 2018.1.3. Ticket says it's fixed already .. so the fix is expected in next version -- 2018.1.4.

2

Please sign in to leave a comment.